//
//  OpenPlatformUIDefine.h
//  OpenSDKDemo
//
//  Created by Jiny.du on 2019/7/22.
//  Copyright © 2019 bytedance.co All rights reserved.
//

#ifndef OpenPlatformUIDefine_h
#define OpenPlatformUIDefine_h
#import "UIColor+Addition.h"
#import "UIView+Addition.h"

#define IS_IPHONE_X     (( fabs((double)[[UIScreen mainScreen] bounds].size.height - (double)812) < DBL_EPSILON ) || (fabs((double)[[UIScreen mainScreen] bounds].size.width - (double)812) < DBL_EPSILON ))

#define STATUS_HEIGHT   (IS_IPHONE_X?44:20)

#define BOTTOM_SAFEAREA_HEIGHT (IS_IPHONE_X? 34 : 0)
#define TABBAR_HEIGHT   (IS_IPHONE_X? (49 + 34) : 49)


#define YAMFontMenloWithSize(_SIZE) ({[UIFont fontWithName:@"Menlo-Regular" size:_SIZE];});

#define YAMTextGrayColor  ({[UIColor demo_colorWithHex:@"#9D9D9D"];})
#define YAMTextDarkColor  ({[UIColor demo_colorWithHex:@"#3F3F3F"];})
#define YAMBGDefualtColor ({[UIColor demo_colorWithHex:@"#F5F5F5"];})
#define YAMRedThemeColor   ({[UIColor demo_colorWithHex:@"#E8415A"];})
#define YAMYellowThemeColor   ({[UIColor demo_colorWithHex:@"#FBE34F"];})
#define YAMBlueThemeColor   ({[UIColor demo_colorWithHex:@"#6DAFE3"];})

#endif /* OpenPlatformUIDefine_h */
