//
//  UIAlertController+Addition.m
//  OpenSDKDemo
//
//  Created by Jiny on 2019/5/16.
//  Copyright © 2019 bytedance.co. All rights reserved.
//

#import "UIAlertController+Addition.h"

@implementation UIAlertController (Addition)

+ (void)showMsg:(NSString *)msg inVC:(UIViewController *)vc {
    [self showTitle:nil msg:msg inVC:vc];
}

+ (void)showTitle:(NSString *)title msg:(NSString *)msg inVC:(UIViewController *)vc{
    UIAlertController *alertVC = [UIAlertController alertControllerWithTitle:title message:msg preferredStyle:UIAlertControllerStyleAlert];
    [alertVC addAction:[UIAlertAction actionWithTitle:@"OK" style:UIAlertActionStyleCancel handler:nil]];
    
    [vc presentViewController:alertVC animated:YES completion:nil];
}
    
@end
