//
//  OpenPlatformViewController.m
//  OpenSDKDemo
//
//  Created by Jiny.du on 07/19/2019.
//  Copyright (c) 2019 bytedance.co All rights reserved.
//

#import "OpenPlatformViewController.h"
#import "OpenPlatforActionViewController.h"

@interface OpenPlatformViewController ()
@property (weak, nonatomic) IBOutlet UIControl *chinaControl;
@property (weak, nonatomic) IBOutlet UILabel *versionDisplayLabel;

@end

@implementation OpenPlatformViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    self.title = @"Please chose target App";
    self.versionDisplayLabel.text = [NSString stringWithFormat:@"Current Douyin SDK Version : V%@",[DouyinOpenSDKApplicationDelegate sharedInstance].currentVersion];
}

- (IBAction)selectApp:(UIControl *)sender {
    OpenPlatforActionViewController *vc = [[OpenPlatforActionViewController alloc] init];
    vc.appType = 0;
    [self.navigationController pushViewController:vc animated:YES];
}


@end
