//
//  OpenPlatformActionDataControl.h
//  OpenSDKDemo_Example
//
//  Created by Jiny.du on 2019/7/22.
//  Copyright © 2019 bytedance.co All rights reserved.
//

#import <Foundation/Foundation.h>
@class OpenPlatformSession;
NS_ASSUME_NONNULL_BEGIN

@interface OpenPlatformActionDataControl : NSObject

- (instancetype) initWithAppType:(NSInteger) type;

@property (nonatomic, assign, readonly) NSInteger type;
@property (nonatomic, copy, readonly) NSArray <OpenPlatformSession *> *sessions;
@property (nonatomic, copy) void (^dataSoureChange)(NSIndexPath *indexPath);

@end

NS_ASSUME_NONNULL_END
