//
//  OpenPlatformTableViewFactory.m
//  OpenSDKDemo_Example
//
//  Created by Jiny.du on 2019/7/22.
//  Copyright © 2019 bytedance.co All rights reserved.
//

#import "OpenPlatformTableViewFactory.h"
#import "OpenPlatformEditSettingCell.h"
#import "OpenPlatformSectionCell.h"
#import "OpenPlatformTwoLabelTableViewCell.h"
#import "OpenPlatformTapEditTableViewCell.h"
#import "OpenPlatformSwitchSettingCell.h"

@implementation OpenPlatformTableViewFactory
+ (void)registActionTableView:(UITableView *)tableView
{
    [tableView registerClass:[OpenPlatformEditSettingCell class]
      forCellReuseIdentifier:@"OpenPlatformDataItemEdit"];
    
    [tableView registerClass:[OpenPlatformSwitchSettingCell class]
      forCellReuseIdentifier:@"OpenPlatformDataItemSwitch"];
    
    [tableView registerClass:[OpenPlatformEditSettingCell class]
      forCellReuseIdentifier:@"OpenPlatformDataItemEdit"];
    
    [tableView registerClass:[OpenPlatformTwoLabelTableViewCell class] forCellReuseIdentifier:@"OpenPlatformDataItemTwoLabel"];
    
    [tableView registerClass:[OpenPlatformTapEditTableViewCell class] forCellReuseIdentifier:@"OpenPlatformDataItemTapEdit"];
    
}
@end
